### Method

# Gck Object set_template

#### Declaration [src]

    gboolean
    gck_object_set_template (
      GckObject* self,
      gulong attr_type,
      GckAttributes* attrs,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Set an attribute template on the object. The attr_type must be for an attribute which contains a template.

If the `attrs` `GckAttributes` is floating, it is consumed.

This call may block for an indefinite period.

#### Parameters

`attr_type` | `gulong`
| The attribute template type.
`attrs` | `GckAttributes`
| The attribute template.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the operation succeeded.